DCMTK - Bug #373

issue with non-blocking select / read socket
2009-07-01 00:00 - J6rg Riesmeier

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmnet Compiler:

Operating System:

Description
http://forum.dcmtk.org/viewtopic.php?t=2133

=== Comment by Uli ===
There is no testcase ("happens sometimes"). This means we'll just have to blindly implement the suggested changes.

As for the changes: ioctrl() was tested on Windows and Linux to see if it read something. The old behaviour will be kept on all other
systems. So the problem will only be solved on Windows and Linux and will continue to exist on other systems.

History

#1 - 2013-04-23 10:17 - Andrew Chiw
issue with non-blocking select / read socket
Description

http://forum.demtk.org/viewtopic.php?t=2133 === Kommentar Uli ===
Es gibt keinen Test-Case ("happens sometimes"). Das bedeutet, dass wir die vorgeschlagenen Anderungen einfach so einbauen miissten.

There is no testcase ("happens sometimes"). This means we'll just have to blindly implement the suggested changes.

Zu den Anderungen: Auf Windows und Linux wird per ioctl() geprift, ob wirklich etwas zu lesen ist. Auf allen anderen Systemen wird das alte
Verhalten beibehalten. Also, wenn lberhaupt, ist das Problem nur auf Windows und Linux behoben und besteht auf allen anderen Systemen
weiterhin.

As for the changes: ioctrl() was tested on Windows and Linux to see if it read something. The old behaviour will be kept on all other systems. So the
problem will only be solved on Windows and Linux and will continue to exist on other systems.

#2 - 2017-03-24 12:40 - Marco Eichelberg
- Priority changed from High to Normal

- Target version set to 3.6.3

#3 - 2017-12-07 11:59 - Marco Eichelberg
- Target version deleted (3.6.3)

#4 - 2018-10-19 09:05 - J6rg Riesmeier
- Description updated
- Category set to Library

Also see this recent forum posting: https:/forum.dcmtk.org/viewtopic.php?f=18&t=4783

#5 - 2018-10-19 09:07 - J6rg Riesmeier

- Target version set to 3.6.6

#6 - 2018-11-25 11:35 - Marco Eichelberg

Forum post https:/forum.dcmtk.org/viewtopic.php?f=18&t=4783 confirms that this bug is still present in DCMTK 3.6.3 and that the proposed fix still
works.
#7 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
